<template>
  <div>
    <h1 class="text-center text-4xl">Dashboard administrateur</h1>
    <div class="text-center mt-5">
      <label>Rechercher par mot-clés : </label>
      <br>
      <input class="appearance-none rounded-lg w-1/3 py-3 border border-gray-300 placeholder-gray-300 text-gray-900 focus:outline-none focus:ring-yellow-500 focus:border-yellow-500 focus:z-10 sm:text-sm" type="text" placeholder="Ex: Skrzypczyk, Sinéquanone..." v-model="adminDashboard.searchingWord" @keydown.enter="adminDashboard.searchKeyWord()">
      <div class="w-24 inline-block">
        <Button
            label="Rechercher"
            @click="adminDashboard.searchKeyWord()"
        />
      </div>
      <ul v-if="adminDashboard.foundUsers !== null" class="mt-10">
        <li class="text-center" v-show="adminDashboard.foundUsers.length === 0">Aucun utilisateur trouvé</li>
        <li v-for="user in adminDashboard.foundUsers" :key="user.id">
          <ListUser
            :user="user"
            :removeOrAddAdminRole="adminDashboard.removeOrAddAdminRole"
          />
        </li>
      </ul>
      <div class="flex flex-wrap -mb-4 justify-center mt-10 pb-4">
        <div
            :class="`bg-yellow-${adminDashboard.currentPage === page ? '500' : '300'} cursor-pointer hover:bg-yellow-500 py-1 px-2 mx-1 rounded-full text-sm`"
            v-for="page in adminDashboard.pages"
            :key="page"
            @click="adminDashboard.setPage(page)"
        >
          {{page}}
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Button from "@/components/Button";
import ListUser from "@/views/adminDashboard/ListUser";
export default {
  name: "AdminDashboard",
  components: {ListUser, Button},
  inject: ['adminDashboard'],

}
</script>

<style scoped>

</style>
